%global pypi_name shapely

Name:           python-%{pypi_name}
Version:        2.0.2
Release:        %mkrel 1
Summary:        A Python package for doing geometry in the Cartesian plane
License:        BSD
Group:          Development/Python
Url:            https://pypi.python.org/pypi/Shapely
Source0:        %{pypi_source}
BuildRequires:  geos-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-numpy-devel

%description
Shapely is a Python package for manipulation and analysis of planar geometric
objects. It is based on the widely deployed GEOS (the engine of PostGIS) and
JTS (from which GEOS is ported) libraries. Shapely is not concerned with data
formats or coordinate systems, but can be readily integrated with packages that
are.

%package -n python3-%{pypi_name}
Summary:        A Python package for doing geometry in the Cartesian plane
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3-numpy

%description -n python3-%{pypi_name}
Shapely is a Python package for manipulation and analysis of planar geometric
objects. It is based on the widely deployed GEOS (the engine of PostGIS) and
JTS (from which GEOS is ported) libraries. Shapely is not concerned with data
formats or coordinate systems, but can be readily integrated with packages that
are.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst CREDITS.txt


%changelog
* Mon Dec 25 2023 wally <wally> 2.0.2-1.mga10
+ Revision: 2021222
- new version 2.0.2
- use pyproject rpm macros

* Sat Dec 03 2022 eatdirt <eatdirt> 1.8.5.post1-1.mga9
+ Revision: 1916112
- Update to version 1.8.5.post1

* Fri Aug 26 2022 eatdirt <eatdirt> 1.8.4-1.mga9
+ Revision: 1880520
- Update to version 1.8.4

* Fri May 06 2022 wally <wally> 1.8.2-2.mga9
+ Revision: 1856448
- fix debug pkg

* Fri May 06 2022 eatdirt <eatdirt> 1.8.2-1.mga9
+ Revision: 1856439
- Upgrade to version 1.8.2

* Mon Mar 28 2022 umeabot <umeabot> 1.7.1-4.mga9
+ Revision: 1829570
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 1.7.1-3.mga9
+ Revision: 1782636
- rebuild for python-3.10

* Mon Apr 19 2021 daviddavid <daviddavid> 1.7.1-2.mga9
+ Revision: 1717068
- rebuild for python 3.9

* Fri Sep 04 2020 eatdirt <eatdirt> 1.7.1-1.mga8
+ Revision: 1621918
- No longer a noarch package
- Upgrade to version 1.7.1

* Wed Mar 18 2020 eatdirt <eatdirt> 1.7.0-2.mga8
+ Revision: 1557788
- Specify BuildArch to noarch
- Upgrade to version 1.7.0

* Sun Feb 16 2020 umeabot <umeabot> 1.7a1-3.mga8
+ Revision: 1534937
- Mageia 8 Mass Rebuild

* Mon Oct 07 2019 tv <tv> 1.7a1-2.mga8
+ Revision: 1450209
- rebuild for python-3.8
- drop python2 subpkg

* Tue Mar 05 2019 eatdirt <eatdirt> 1.7a1-1.mga7
+ Revision: 1371689
- Upgrade to version 1.7a1

* Tue Jan 08 2019 shlomif <shlomif> 1.6.4-3.mga7
+ Revision: 1351566
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 1.6.4-2.mga7
+ Revision: 1300596
- Mageia 7 Mass Rebuild

* Sun May 13 2018 eatdirt <eatdirt> 1.6.4-1.mga7
+ Revision: 1229075
- Upgrade to version 1.6.4

* Fri Oct 27 2017 eatdirt <eatdirt> 1.6.2-1.mga7
+ Revision: 1173932
- imported package python-shapely


 * Fri Oct 27 2017 Eatdirt <eatdirt@mageia.org> 1.6.2-1.mga7
 - Importing package Shapely
